Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal
Class OperationTrackerImpl

    java.lang.Object
      org.apache.tapestry5.ioc.internal.OperationTrackerImpl

All Implemented Interfaces:
  OperationTracker

    public class OperationTrackerImpl

extends java.lang.Object
implements OperationTracker

Core implementation that manages a logger and catches and reports exception.

See Also:
  `PerThreadOperationTracker`

Constructor Summary
`OperationTrackerImpl(org.slf4j.Logger logger)`

Method Summary
`
`<T> T`
` | `invoke(java.lang.String description, Invokable<T> operation)` Executes the operation, returning its value.
`void` | `run(java.lang.String description, java.lang.Runnable operation)` Executes the operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationTrackerImpl

    public OperationTrackerImpl(org.slf4j.Logger logger)

Method Detail

### run

    public void run(java.lang.String description,
                    java.lang.Runnable operation)

  Description copied from interface: `OperationTracker`
  Executes the operation.

  Specified by:
    `run` in interface `OperationTracker`
  Parameters:
    `description` - used if there is an exception
    `operation` - to execute

### invoke

    public <T> T invoke(java.lang.String description,
                        Invokable<T> operation)

  Description copied from interface: `OperationTracker`
  Executes the operation, returning its value.

  Specified by:
    `invoke` in interface `OperationTracker`
  Parameters:
    `description` - used if there is an exception
    `operation` - to invoke
  Returns:
    result of operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.